package multierr;

import static org.junit.Assert.assertFalse;

import java.io.File;
import java.io.IOException;

import org.junit.Test;

import config.Example;
import edu.udel.cis.vsl.tass.config.VerifyConfiguration;
import edu.udel.cis.vsl.tass.front.minimp.ModelExtractor;
import edu.udel.cis.vsl.tass.model.IF.ModelIF;
import edu.udel.cis.vsl.tass.util.SyntaxException;
import edu.udel.cis.vsl.tass.verify.Verification;

public class MultiErrTest {
	private File rootDirectory = new File(Example.exampleDirectory, "multierr");
	private File repository = new File(rootDirectory, "TASSREP");

	@Test
	public void multiErrorTest() throws IOException, SyntaxException {
		VerifyConfiguration config1 = new VerifyConfiguration(repository);
		ModelIF model1;

		config1.setSourceFile(new File(rootDirectory, "multierr.c"));
		config1.setModelName("multierr");
		config1.setNumProcs(1);
		config1.setErrorBound(100);
		model1 = ModelExtractor.extractModel(config1);
		assertFalse(Verification.verify(model1, config1, true));
	}

}
